#!/usr/bin/env node

const chalk  = require('chalk');
const path = require('path');
const Promise = require("bluebird");
const fs = Promise.promisifyAll(require('fs-extra'));
const root = path.resolve(__dirname, '..');

// 通过 fs-extra 将项目内容 复制到project参数的目标文件夹
function copyApp(project){
  return fs.copyAsync(`${root}/app`, project,{clobber: true})
    .then(function(err){
      return err ? console.error(err) : console.log(chalk.green('success!'));
    })
}
module.exports = copyApp;